### Method

# Gtk TreeStorereorder

deprecated: 4.10

#### Declaration [src]

    void
    gtk_tree_store_reorder (
      GtkTreeStore* tree_store,
      GtkTreeIter* parent,
      int* new_order
    )

#### Description [src]

Reorders the children of `parent` in `tree_store` to follow the order indicated by `new_order`.

Note that this function only works with unsorted stores.

Deprecated since: 4.10

Use `GtkTreeListModel` instead.

This method is not directly available to language bindings.

#### Parameters

`parent`

  Type: `GtkTreeIter`

  The parent of the children to re-order.

  The argument can be `NULL`.
  The data is owned by the caller of the method.

`new_order`

  Type: An array of `int`

  An array of integers mapping the new position of each child to its old position before the re-ordering, i.e. `new_order[newpos] = oldpos`

  The data is owned by the caller of the method.